Summary: A Qt version of top/ps
Name: qps
Version: 1.3
Release: 2
Copyright: GPL
Group: X11/Utilities
Source: ftp://sunsite.unc.edu/pub/Linux/system/status/qps-1.3.tar.gz
Patch: qps-1.3-make.patch
Prefix: /usr
BuildRoot: /tmp/qps-root
Requires: qt >= 1.3
Packager: Timo Karjalainen <timok@iki.fi>
#Packager: Ximenes Zalteca <ximenes@netset.com>

%description
qps is a ps/top replacement which uses the Qt library for an X11 display.
It requires the proc filesystem to weave it's wonders.

%changelog

* Wed Jun 4 1997 Timo Karjalainen <timok@iki.fi>

- Added Requires tag
- Added RPM_OPT_FLAGS
- Uses BuildRoot

%prep
%setup

%patch -p1

%build
make clean

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -m 755 -o 0 -g 0 -s qps $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 -o 0 -g 0 qps.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING README*
/usr/X11R6/bin/qps
/usr/X11R6/man/man1/qps.1
